Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRImageRenderer

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractRenderer
          net.sf.jasperreports.engine.JRImageRenderer

All Implemented Interfaces:
  java.io.Serializable, JRRenderable

Direct Known Subclasses:
  JRSimpleImageMapRenderer

    public class JRImageRenderer

extends JRAbstractRenderer

Version:
  $Id: JRImageRenderer.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRRenderable
`IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

Constructor Summary
`protected` | `JRImageRenderer(byte[] imageData)`
`protected` | `JRImageRenderer(java.lang.String imageLocation)`

Method Summary
`static java.lang.ClassLoader` | `getClassLoader()` Deprecated. replaced by `JRResourcesUtil.getThreadClassLoader()`
`java.awt.geom.Dimension2D` | `getDimension()`
`java.awt.Image` | `getImage()`
`byte[]` | `getImageData()`
`java.lang.String` | `getImageLocation()`
`byte` | `getImageType()`
`static JRImageRenderer` | `getInstance(byte[] imageData)`
`static JRRenderable` | `getInstance(java.io.File file, byte onErrorType)` Deprecated. Replaced by `getInstance(File, OnErrorTypeEnum)`.
`static JRRenderable` | `getInstance(java.io.File file, OnErrorTypeEnum onErrorType)`
`static JRRenderable` | `getInstance(java.awt.Image img, byte onErrorType)` Deprecated. Replaced by `getInstance(Image, OnErrorTypeEnum)`.
`static JRRenderable` | `getInstance(java.awt.Image image, byte imageType, byte onErrorType)` Deprecated. Replaced by `getInstance(Image, OnErrorTypeEnum)`.
`static JRRenderable` | `getInstance(java.awt.Image image, byte imageType, OnErrorTypeEnum onErrorType)` Creates and returns an instance of the JRImageRenderer class after encoding the image object using an image encoder that supports the supplied image type.
`static JRRenderable` | `getInstance(java.awt.Image img, OnErrorTypeEnum onErrorType)`
`static JRRenderable` | `getInstance(java.io.InputStream is, byte onErrorType)` Deprecated. Replaced by `getInstance(InputStream, OnErrorTypeEnum)`.
`static JRRenderable` | `getInstance(java.io.InputStream is, OnErrorTypeEnum onErrorType)`
`static JRRenderable` | `getInstance(java.lang.String imageLocation)`
`static JRRenderable` | `getInstance(java.lang.String imageLocation, byte onErrorType)` Deprecated. Replaced by `getInstance(String, OnErrorTypeEnum)`.
`static JRRenderable` | `getInstance(java.lang.String imageLocation, byte onErrorType, boolean isLazy)` Deprecated. Replaced by `getInstance(String, OnErrorTypeEnum, boolean)`.
`static JRRenderable` | `getInstance(java.lang.String imageLocation, byte onErrorType, boolean isLazy, java.lang.ClassLoader classLoader, java.net.URLStreamHandlerFactory urlHandlerFactory, FileResolver fileResolver)` Deprecated. Replaced by `getInstance(String, OnErrorTypeEnum, boolean, ClassLoader, URLStreamHandlerFactory, FileResolver)`.
`static JRRenderable` | `getInstance(java.lang.String imageLocation, OnErrorTypeEnum onErrorType)`
`static JRRenderable` | `getInstance(java.lang.String imageLocation, OnErrorTypeEnum onErrorType, boolean isLazy)`
`static JRRenderable` | `getInstance(java.lang.String imageLocation, OnErrorTypeEnum onErrorType, boolean isLazy, java.lang.ClassLoader classLoader, java.net.URLStreamHandlerFactory urlHandlerFactory, FileResolver fileResolver)`
`static JRRenderable` | `getInstance(java.net.URL url, byte onErrorType)` Deprecated. Replaced by `getInstance(URL, OnErrorTypeEnum)`.
`static JRRenderable` | `getInstance(java.net.URL url, OnErrorTypeEnum onErrorType)`
`static JRRenderable` | `getOnErrorRendererForDimension(JRRenderable renderer, byte onErrorType)` Deprecated. Replaced by `getOnErrorRendererForDimension(JRRenderable, OnErrorTypeEnum)`.
`static JRRenderable` | `getOnErrorRendererForDimension(JRRenderable renderer, OnErrorTypeEnum onErrorType)`
`static JRImageRenderer` | `getOnErrorRendererForImage(JRImageRenderer renderer, byte onErrorType)` Deprecated. Replaced by `getOnErrorRendererForImage(JRImageRenderer, OnErrorTypeEnum)`.
`static JRImageRenderer` | `getOnErrorRendererForImage(JRImageRenderer renderer, OnErrorTypeEnum onErrorType)`
`static JRRenderable` | `getOnErrorRendererForImageData(JRRenderable renderer, byte onErrorType)` Deprecated. Replaced by `getOnErrorRendererForImageData(JRRenderable, OnErrorTypeEnum)`.
`static JRRenderable` | `getOnErrorRendererForImageData(JRRenderable renderer, OnErrorTypeEnum onErrorType)`
`byte` | `getType()`
`void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`
`static void` | `setClassLoader(java.lang.ClassLoader classLoader)` Deprecated. replace by `JRResourcesUtil.setThreadClassLoader(ClassLoader)`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer
`getId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRImageRenderer

    protected JRImageRenderer(byte[] imageData)

### JRImageRenderer

    protected JRImageRenderer(java.lang.String imageLocation)

Method Detail

### getClassLoader

    public static java.lang.ClassLoader getClassLoader()

  Deprecated. replaced by `JRResourcesUtil.getThreadClassLoader()`

### setClassLoader

    public static void setClassLoader(java.lang.ClassLoader classLoader)

  Deprecated. replace by `JRResourcesUtil.setThreadClassLoader(ClassLoader)`

### getInstance

    public static JRImageRenderer getInstance(byte[] imageData)

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation,
                                           byte onErrorType)
                                    throws JRException

  Deprecated. Replaced by `getInstance(String, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation,
                                           OnErrorTypeEnum onErrorType)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation,
                                           byte onErrorType,
                                           boolean isLazy)
                                    throws JRException

  Deprecated. Replaced by `getInstance(String, OnErrorTypeEnum, boolean)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation,
                                           OnErrorTypeEnum onErrorType,
                                           boolean isLazy)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation,
                                           byte onErrorType,
                                           boolean isLazy,
                                           java.lang.ClassLoader classLoader,
                                           java.net.URLStreamHandlerFactory urlHandlerFactory,
                                           FileResolver fileResolver)
                                    throws JRException

  Deprecated. Replaced by `getInstance(String, OnErrorTypeEnum, boolean, ClassLoader, URLStreamHandlerFactory, FileResolver)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.lang.String imageLocation,
                                           OnErrorTypeEnum onErrorType,
                                           boolean isLazy,
                                           java.lang.ClassLoader classLoader,
                                           java.net.URLStreamHandlerFactory urlHandlerFactory,
                                           FileResolver fileResolver)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.awt.Image img,
                                           byte onErrorType)
                                    throws JRException

  Deprecated. Replaced by `getInstance(Image, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.awt.Image img,
                                           OnErrorTypeEnum onErrorType)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.awt.Image image,
                                           byte imageType,
                                           byte onErrorType)
                                    throws JRException

  Deprecated. Replaced by `getInstance(Image, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.awt.Image image,
                                           byte imageType,
                                           OnErrorTypeEnum onErrorType)
                                    throws JRException

  Creates and returns an instance of the JRImageRenderer class after encoding the image object using an image encoder that supports the supplied image type.

  Parameters:
    `image` - the java.awt.Image object to wrap into a JRImageRenderer instance
    `imageType` - the type of the image as specified by one of the constants defined in the JRRenderable interface
    `onErrorType` - one of the error type constants defined in the `OnErrorTypeEnum`.
  Returns:
    the image renderer instance
  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.io.InputStream is,
                                           byte onErrorType)
                                    throws JRException

  Deprecated. Replaced by `getInstance(InputStream, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.io.InputStream is,
                                           OnErrorTypeEnum onErrorType)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.net.URL url,
                                           byte onErrorType)
                                    throws JRException

  Deprecated. Replaced by `getInstance(URL, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.net.URL url,
                                           OnErrorTypeEnum onErrorType)
                                    throws JRException

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.io.File file,
                                           byte onErrorType)
                                    throws JRException

  Deprecated. Replaced by `getInstance(File, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getInstance

    public static JRRenderable getInstance(java.io.File file,
                                           OnErrorTypeEnum onErrorType)
                                    throws JRException

  Throws:
    `JRException`

### getOnErrorRendererForDimension

    public static JRRenderable getOnErrorRendererForDimension(JRRenderable renderer,
                                                              byte onErrorType)
                                                       throws JRException

  Deprecated. Replaced by `getOnErrorRendererForDimension(JRRenderable, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getOnErrorRendererForDimension

    public static JRRenderable getOnErrorRendererForDimension(JRRenderable renderer,
                                                              OnErrorTypeEnum onErrorType)
                                                       throws JRException

  Throws:
    `JRException`

### getOnErrorRendererForImageData

    public static JRRenderable getOnErrorRendererForImageData(JRRenderable renderer,
                                                              byte onErrorType)
                                                       throws JRException

  Deprecated. Replaced by `getOnErrorRendererForImageData(JRRenderable, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getOnErrorRendererForImageData

    public static JRRenderable getOnErrorRendererForImageData(JRRenderable renderer,
                                                              OnErrorTypeEnum onErrorType)
                                                       throws JRException

  Throws:
    `JRException`

### getOnErrorRendererForImage

    public static JRImageRenderer getOnErrorRendererForImage(JRImageRenderer renderer,
                                                             byte onErrorType)
                                                      throws JRException

  Deprecated. Replaced by `getOnErrorRendererForImage(JRImageRenderer, OnErrorTypeEnum)`.

  Throws:
    `JRException`

### getOnErrorRendererForImage

    public static JRImageRenderer getOnErrorRendererForImage(JRImageRenderer renderer,
                                                             OnErrorTypeEnum onErrorType)
                                                      throws JRException

  Throws:
    `JRException`

### getImage

    public java.awt.Image getImage()
                            throws JRException

  Throws:
    `JRException`

### getImageLocation

    public java.lang.String getImageLocation()

### getType

    public byte getType()

### getImageType

    public byte getImageType()

### getDimension

    public java.awt.geom.Dimension2D getDimension()
                                           throws JRException

  Throws:
    `JRException`

### getImageData

    public byte[] getImageData()
                        throws JRException

  Throws:
    `JRException`

### render

    public void render(java.awt.Graphics2D grx,
                       java.awt.geom.Rectangle2D rectangle)
                throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com